class BootScene extends Phaser.Scene {
    constructor(test) {
        super({
            key: 'BootScene'
        });
        this.audiopath = "assets/audio/";
        this.imgpath = "assets/images/";
        this.spritepath = "assets/sprites/";
    }
    preload() {
        //JSON-Files
        this.load.json('config', 'config.json'); 
        this.load.json('level1', 'levels/level01.json');
        this.load.json('level2', 'levels/level02.json');

        this.load.image('sky',this.imgpath+'sky.png');
        this.load.image('platform',this.imgpath+'platform.png');
        this.load.image('star', this.imgpath+'star.png');
        this.load.image('seifenblase', this.imgpath+'bubble.png');

        this.load.spritesheet('dude',this.spritepath+'dude.png', { frameWidth: 32, frameHeight: 48});
        this.load.spritesheet('decoration', this.spritepath+'decor.png', { frameWidth: 42, frameHeight: 42});

        this.load.audio('backgroundmusic', [this.audiopath+'bgm.ogg',this.audiopath+'bgm.mp3']);
        this.load.audio('jump',this.audiopath+'jump.wav');
        this.load.audio('collect', this.audiopath+'coin.wav');

    }

    create() {
        this.startGame();
    }

    startGame() {
        this.scene.start("GameScene",{level:1,score:0});
    }
}

export default BootScene;